# 86. クエリ: "Farms" を取得

以下は、ユーザーがアクセスできるすべての「農場（Farms）」を取得するために使用される基本的なGraphQLクエリの概要です：

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarms {
  getFarms {
    uuid
    userUuid
    名前
    farmOwnership
    externalKey
    ownerEmail
    作成日
    updatedDate
  }
}
```

{% endcode %}

他のパラメータに加えて、次の `farmUuids` および `externalKeys` フィルターを使用してレスポンスをカスタマイズできます。これらのフィルターは個別に、または組み合わせて適用でき、より目的に即したデータ取得が可能です。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    名前
    farmOwnership
    externalKey
    ownerEmail
    作成日
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/86-kueri-farms-wo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
